nodejs_10.15.2~dfsg-1_amd64.deb


Advertisement

Description

nodejs - evented I/O for V8 javascript - runtime executable

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename nodejs_10.15.2~dfsg-1_amd64.deb
Package name nodejs
Package version 10.15.2~dfsg
Package release 1
Package architecture amd64
Package type deb
Category universe/web
Homepage http://nodejs.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 59.51 KB
Installed size 151.00 KB
Node.js is a platform built on Chrome's JavaScript runtime for easily
building fast, scalable network applications. Node.js uses an
event-driven, non-blocking I/O model that makes it lightweight and
efficient, perfect for data-intensive real-time applications that run
across distributed devices.
Node.js is bundled with several useful libraries to handle server
tasks:
System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Alternatives

Package Version Architecture Repository
nodejs_10.15.2~dfsg-1_i386.deb 10.15.2~dfsg i386 Ubuntu Universe
nodejs - - -

Requires

Name Value
libc6 >= 2.4
libnode64 = 10.15.2~dfsg-1

Conflicts

Name Value
nodejs-legacy -

Replaces

Name Value
nodejs-legacy -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package nodejs_10.15.2~dfsg-1_amd64.deb
Source Package nodejs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install nodejs deb package:
    # sudo apt-get install nodejs

Files

Path
/usr/bin/node
/usr/bin/nodejs
/usr/share/doc/nodejs/AUTHORS.gz
/usr/share/doc/nodejs/README.Debian
/usr/share/doc/nodejs/changelog.Debian.gz
/usr/share/doc/nodejs/copyright
/usr/share/man/man1/node.1.gz
/usr/share/man/man1/nodejs.1.gz

Changelog

2019-02-28 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.2~dfsg-1) unstable; urgency=high
* New upstream version 10.15.2~dfsg
Slowloris HTTP Denial of Service with keep-alive
(CVE-2019-5737)
2019-02-09 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.1~dfsg-5) unstable; urgency=medium
* Install only headers
* /usr/include/v8 should contain the headers directly
2019-02-08 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.1~dfsg-4) experimental; urgency=medium
* Add libv8-dev symlinks:
+ libv8_libbase.so
+ libv8_libplatform.so
+ libv8_libsampler.so
2019-02-08 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.1~dfsg-3) experimental; urgency=medium
* Provides libv8-dev (Closes: #920329)
2019-02-01 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.1~dfsg-2) unstable; urgency=medium
* Fix Build-Deps and add libssl-dev to libnode-dev.
Closes: #921074.
* Refactor deps in debian/rules
* Declare Breaks properly in rules/control.in.in
2019-01-31 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.1~dfsg-1) experimental; urgency=medium
* New upstream version 10.15.1~dfsg
* Backport upstream-approved Node 11 openssl 1.1.1a support
(except a test that was weird to backport).
[ Mattia Rizzolo ]
* Add Breaks:node-modern-syslog (<< 1.1.4-2) to libnode64.
node-modern-syslog before 1.1.4-2 depended on the nodejs
ABI, but didn't have an appropriate dependency.
2019-01-25 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.0~dfsg-10) unstable; urgency=medium
* M-A: same on libnode-dev, nodejs-dev
* Drop nodejs-dev package.
Addons should instead:
+ Build-Depends libnode-dev, node-gyp
+ remove dh --with nodejs argument in debian/rules
+ use debhelper >= 10 because it strips and shlibs *.node files
2019-01-21 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.0~dfsg-9) unstable; urgency=medium
* M-A: foreign on nodejs-doc
* libnode-dev depends libuv1-dev (Closes: #905415)
2019-01-06 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.0~dfsg-8) unstable; urgency=medium
* Suggests npm - because nodejs must not be blocked by it.
Closes: #918388.
* Patch to silence buffer deprecations. Closes: #918456.
This patch is meant to ease migration to testing, and to be
removed as soon as possible.
It avoids printing to stderr deprecation warning about
calling Buffer as a constructor without the new operator.
2019-01-05 - Jérémy Lal <kapouer@melix.org>
nodejs (10.15.0~dfsg-7) unstable; urgency=medium
* Add missing shlibs, Closes: #917961.
* Nodejs 10 is here, Close #914965.
* libnode-dev: install openssl.cnf in /usr/include/nodejs
* Recommends npm, Closes: #918388.

See Also

Package Description
nodeunit_0.11.2+ds3-2_all.deb Unit test framework for Node.js and the browser
nodm_0.13-4_amd64.deb automatic display manager
noiz2sa-data_0.51a-10.1_all.deb abstract arcade shooter, data files
noiz2sa_0.51a-10.1_amd64.deb abstract arcade shooter
nomacs-l10n_3.12.0+dfsg-2_all.deb image viewer with capability of syncing multiple instances (data)
nomacs_3.12.0+dfsg-2_amd64.deb image viewer with capability of syncing multiple instances
nomad_0.4.0+dfsg-1_amd64.deb distributed, highly available, datacenter-aware scheduler
nomarch_1.4-3build1_amd64.deb Unpacks .ARC and .ARK MS-DOS archives
nomnom_0.3.1-2build1_amd64.deb download videos from Youtube and other similar video websites
nootka_1.2.0-0ubuntu3_amd64.deb This package nootka provides an application to learn classical score notation
nordlicht_0.4.5-1build1_amd64.deb create colorful video barcodes
nordugrid-arc-acix-cache_5.4.3-2_all.deb ARC cache index - cache server
nordugrid-arc-acix-core_5.4.3-2_all.deb ARC cache index - core components
nordugrid-arc-acix-index_5.4.3-2_all.deb ARC cache index - index server
nordugrid-arc-arex_5.4.3-2_amd64.deb ARC Remote EXecution service
Advertisement
Advertisement